mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable Limited binary writer. This class can be used to do some limited binary writing operations on a stream.

This class is not a general purpose binary file format writer. Instead it is a class that writes data in binary little-endian format. The class can be used to read streams that have been written with this class.

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'Stream'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'Stream'
  To be added: an object of type 'Text.Encoding'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.IO.Stream To be added To be added: an object of type 'Stream' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.IO.BinaryWriter To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.IO.Stream To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` To be added: an object of type 'int' To be added: an object of type 'SeekOrigin' To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'byte' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'decimal' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'double' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'short' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'long' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'sbyte' To be added To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` To be added: an object of type 'float' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'ushort' To be added To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` To be added: an object of type 'uint' To be added To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` To be added: an object of type 'ulong' To be added To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` `` `` 'byte []' array, where to write Starting point in buffer. number of bytes to write To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'int' Encodes a compressed integer (similar but not ASN.1 BER, nor Perl BER format). The bytes represent an integer in base 128, least significant digits first with as few digits as possible. The high bit (8) is set on each byte except the last. To be added 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)